Skip to main content

GET /v1/toutiao/web/get_article_info

Get information of specified article

stable · 2 credits per success

Get information of specified post;item_id: Post ID, can be obtained from the link;- For example: https://www.toutiao.com/article/7450114952884503059/;Post information

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/toutiao/web/get_article_info?aweme_id=7450114952884503059' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
content:
" <header><div class="tt-title">“海阳船”再发“海阳箭”——谷神星一号海遥四运载火箭发射成功</div><div class=..."
item_id:7450114952884504000
audio_id:"7450115760640229924"
group_id:7450114952884504000
h5_extra{ 20 items }
is_wenda:0
aggr_type:1
thumb_image[ 1 item ]
title_image{ 3 items }
video_count:0
content_hash:"e6b66251"
group_source:2
image_detail[ 1 item ]
media_user_id:51050126444
main_image_list[ 1 item ]
webp_thumb_image[ 1 item ]
origin_image_list[ 1 item ]
webp_image_detail[ 1 item ]
}
meta{
endpoint:"toutiao.web.get_article_info"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    aweme_idstringqueryyes作品ID7450114952884503059

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All Toutiao endpoints →

    Search

    Search endpoints and docs